Deletes an assigned targeting option from an ad group.
This method is only supported for Demand Gen ad groups with the AdGroupFormat AD_GROUP_FORMAT_DEMAND_GEN.
HTTP request
DELETE https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/adGroups/{adGroupId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser the ad group belongs to. |
adGroupId |
Required. The ID of the ad group the assigned targeting option belongs to. |
targetingType |
Required. Identifies the type of this assigned targeting option. Supported targeting types:
|
assignedTargetingOptionId |
Required. The ID of the assigned targeting option to delete. |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.